Skip to main content
GET
/
candidate
/
info
/
case
/
id
/
{caseId}
Get candidate info for case
curl --request GET \
  --url https://api-stage.karmacheck.io/candidate/info/case/id/{caseId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-stage.karmacheck.io/candidate/info/case/id/{caseId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-stage.karmacheck.io/candidate/info/case/id/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "candidate": {
    "id": "dfb411b1-ab2e-4076-9a22-9f2fda30b365",
    "email": "dani@example.com",
    "password": "########",
    "givenName": "Dani",
    "familyName": "Garcia",
    "middleName": "A.",
    "govtId": "XXX-XX-3333",
    "phone": "+18005550126",
    "dob": "1995-05-04",
    "piiValidated": false,
    "piiLocked": 1,
    "enabled": true,
    "crStamp": "2024-03-06T20:05:09.000+00:00",
    "modStamp": "2024-03-13T21:46:38.000+00:00",
    "secured": 0,
    "credentialsNonExpired": true,
    "accountNonExpired": true,
    "accountNonLocked": true,
    "candidateId": "dfb411b1-ab2e-4076-9a22-9f2fda30b365",
    "username": "dani@example.com",
    "fullName": "Dani A. Garcia"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

caseId
string
required

The identifier of a case.

Response

OK

candidate
object
required